Get Facility
curl --request GET \
--url https://gdeltcloud.com/api/v2/facilities/{facility_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gdeltcloud.com/api/v2/facilities/{facility_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gdeltcloud.com/api/v2/facilities/{facility_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"facility": {
"facility_id": "f_581be6619920626d",
"name": "Alibaba Zhangbei",
"facility_type": "data_center",
"facility_class": "digital_infrastructure",
"source_silo": "epoch",
"country_iso3": "CHN",
"lat": null,
"lon": null,
"address": "Alibaba Zhangbei Yun Calculation Data Center, Zhangbei County, Zhangjiakou, Hebei, China",
"status": null,
"capacity_mw": 169,
"owners": [
{
"entity_id": "e_a4db9cd53edee666",
"name": "Alibaba"
}
],
"attributes": {
"current_power_mw": "169",
"current_h100e": "132895.4",
"chip_types": ""
},
"first_seen_date": "2026-07-09",
"last_seen_date": "2026-07-09",
"detail_url": "/api/v2/facilities/f_581be6619920626d",
"owner_portfolio_url": "/api/v2/facilities?owner_entity_id=e_a4db9cd53edee666"
},
"merge_history": []
}{
"error": "API key required. Include: Authorization: Bearer gdelt_sk_...",
"code": "MISSING_API_KEY"
}{
"success": false,
"error": "Your plan does not include the Facilities data source.",
"code": "PLAN_REQUIRED"
}{
"success": false,
"error": "Facility not found.",
"code": "NOT_FOUND"
}{
"success": false,
"error": "Failed to fetch the facility.",
"code": "INTERNAL_ERROR"
}Facilities
Get Facility
Returns a canonical physical site with unit count, unit identifiers and status breakdown. A legacy registry-unit id resolves to the same parent site.
GET
/
api
/
v2
/
facilities
/
{facility_id}
Get Facility
curl --request GET \
--url https://gdeltcloud.com/api/v2/facilities/{facility_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gdeltcloud.com/api/v2/facilities/{facility_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gdeltcloud.com/api/v2/facilities/{facility_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"facility": {
"facility_id": "f_581be6619920626d",
"name": "Alibaba Zhangbei",
"facility_type": "data_center",
"facility_class": "digital_infrastructure",
"source_silo": "epoch",
"country_iso3": "CHN",
"lat": null,
"lon": null,
"address": "Alibaba Zhangbei Yun Calculation Data Center, Zhangbei County, Zhangjiakou, Hebei, China",
"status": null,
"capacity_mw": 169,
"owners": [
{
"entity_id": "e_a4db9cd53edee666",
"name": "Alibaba"
}
],
"attributes": {
"current_power_mw": "169",
"current_h100e": "132895.4",
"chip_types": ""
},
"first_seen_date": "2026-07-09",
"last_seen_date": "2026-07-09",
"detail_url": "/api/v2/facilities/f_581be6619920626d",
"owner_portfolio_url": "/api/v2/facilities?owner_entity_id=e_a4db9cd53edee666"
},
"merge_history": []
}{
"error": "API key required. Include: Authorization: Bearer gdelt_sk_...",
"code": "MISSING_API_KEY"
}{
"success": false,
"error": "Your plan does not include the Facilities data source.",
"code": "PLAN_REQUIRED"
}{
"success": false,
"error": "Facility not found.",
"code": "NOT_FOUND"
}{
"success": false,
"error": "Failed to fetch the facility.",
"code": "INTERNAL_ERROR"
}Authorizations
GDELT Cloud API key. Send as Authorization: Bearer gdelt_sk_....
Path Parameters
The facility id.
⌘I

